v2.0
get
/ec-ors-svc/rest/v2.0/studies/{studyId}/{mode}/settings/cohortlimits
Retrieves cohort limits by study and mode. Rights: SubjectSettingRightsGet.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
1BC29B36F5D64B1B95F4BDBBCEA481BE
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : schema
Type:
Show Source
array-
Array of:
object Cohort Limit v2.0
Title:
Cohort Limit v2.0Response object containing cohort limit details.
Nested Schema : Cohort Limit v2.0
Type:
objectTitle:
Cohort Limit v2.0Response object containing cohort limit details.
Show Source
-
cohortId(required): string
(uuid)
Cohort ID.
-
enabled(required): boolean
Indicates if cohort is enabled.Example:
true -
notificationLimit: number
(double)
Minimum Value:
1Maximum Value:100Notification limit value. Once value is reached a notification is sent.Example:5 -
randomizationLimit: number
(double)
Minimum Value:
1Maximum number of subjects who can be randomized for the study.Example:5 -
stratumId: string
(uuid)
Stratum ID.
Example:
{
"cohortId":"B1B8327AFAA6412287106192AB5984EF",
"stratumId":"C36A3197FDEE433FB5547EE83DE99E4B",
"randomizationLimit":100,
"notificationLimit":80,
"enabled":true
}Examples
500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples